Page MenuHomeFreeBSD

x11/sddm: Update to 0.18.1
ClosedPublic

Authored by arrowd on Feb 8 2020, 10:05 AM.

Details

Reviewers
tcberner
mat
Group Reviewers
kde
Commits
rP525915: x11/sddm: Update to 0.18.1.
Test Plan

Tested this on one of my production systems.

Known problems:

  • Virtual keyboard doesn't work, but this is not a regression.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Feb 8 2020, 10:05 AM
arrowd updated this revision to Diff 67974.Feb 8 2020, 10:27 AM

Fix some patches also touched by post-path.

arrowd planned changes to this revision.Feb 8 2020, 5:18 PM

Stupid me missed some patches. Stand clear.

arrowd updated this revision to Diff 67981.Feb 8 2020, 5:45 PM

Restore some patches.

tcberner accepted this revision.Feb 11 2020, 4:33 AM
tcberner added a subscriber: tcberner.

Thanks for taking this :)

If it runs and works, ship it.

This revision is now accepted and ready to land.Feb 11 2020, 4:33 AM
mat added a comment.Feb 12 2020, 2:20 PM

Is the sddm.conf file just gone?

x11/sddm/Makefile
17 ↗(On Diff #67981)

So, if you remove the space, it changes from being:

LICENSE_FILE_GPLv2+ =

to being:

LICENSE_FILE_GPLv2 +=

Please put it back.

x11/sddm/files/patch-services_sddm-autologin.pam
1–9 ↗(On Diff #67981)

This file does not change, please remove it from the patch.

mat requested changes to this revision.Feb 12 2020, 2:20 PM
This revision now requires changes to proceed.Feb 12 2020, 2:20 PM
In D23579#518954, @mat wrote:

Is the sddm.conf file just gone?

Yes. Should I mention it somewhere?

arrowd updated this revision to Diff 68186.Feb 12 2020, 2:26 PM
arrowd marked an inline comment as done.

Address comments.

arrowd marked an inline comment as done.Feb 12 2020, 2:27 PM
arrowd added inline comments.
x11/sddm/Makefile
17 ↗(On Diff #67981)

Oh, so this is not a typo... Ok, noted.

arrowd retitled this revision from [WIP] x11/sddm: Update to 0.18.1 to x11/sddm: Update to 0.18.1.Feb 12 2020, 2:28 PM
arrowd edited the test plan for this revision. (Show Details)
mat accepted this revision.Feb 12 2020, 2:43 PM
In D23579#518954, @mat wrote:

Is the sddm.conf file just gone?

Yes. Should I mention it somewhere?

Mmm, probably in the commit message, so that people don't ask themselves the same question that I did :-)

This revision is now accepted and ready to land.Feb 12 2020, 2:43 PM
This revision was automatically updated to reflect the committed changes.